MIDISH(1)

NAME
midish - MIDI sequencer and filter

SYNOPSIS
midish [-bhv]

DESCRIPTION
Midish is a MIDI sequencer/filter implemented as an interactive command-line interpreter. It supports:

•   Multiple MIDI devices handling
•   Synchronisation to external MIDI devices
•   Filtering/routing (controller mapping, keyboard splitting, ...)
•   Track recording, editing, quantisation
•   Import and export of standard MIDI files
•   Tempo and time-signature changes, user configurable metronome
•   System exclusive messages handling

The options are as follows:

-b  Do not process $HOME/.midishrc or /etc/midishrc and stop on the first error on the standard input. Useful for scripting.

-h  Print usage information.

-v  Print additional info before each line of input, useful to front-ends and for debugging.

Once midish started, the interpreter processes the $HOME/.midishrc file (or /etc/midishrc if the latter doesn't exist) and starts prompting for commands. For further information about the syntax of midish refer to the “Midish user's manual”.

FILES
$HOME/.midishrc
    startup script
/etc/midishrc
    startup script (if $HOME/.midishrc doesn't exist)

SEE ALSO
midiplay(1), smfplay(1), midi(4)

User's manual and tutorial: http://www.midish.org/manual.html